Bug 179563 - Port update: ftp/bftpd
Summary: Port update: ftp/bftpd
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-15 02:00 UTC by Jesse
Modified: 2013-07-31 23:20 UTC (History)
0 users

See Also:


Attachments
file.diff (952 bytes, patch)
2013-06-15 02:00 UTC, Jesse
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse 2013-06-15 02:00:00 UTC
Please find attached my patch for bringing the copy of Bftpd in the ports tree up to date with the upstream version, 3.8 => 4.0.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-06-15 02:00:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sylvio

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-07-31 23:17:35 UTC
Author: wg
Date: Wed Jul 31 22:17:27 2013
New Revision: 324067
URL: http://svnweb.freebsd.org/changeset/ports/324067

Log:
  ftp/bftpd: update to 4.0
  
  - Update to 4.0 [1]
  - NOPORTDOCS -> PORT_OPTIONS:MDOCS
  - Trim Makefile header
  
  Changes: http://bftpd.sourceforge.net/downloads/CHANGELOG
  
  PR:		ports/179563 [1]
  Submitted by:	Jesse <jessefrgsmith yahoo.ca>
  Approved by:	maintainer (timeout)

Modified:
  head/ftp/bftpd/Makefile
  head/ftp/bftpd/distinfo

Modified: head/ftp/bftpd/Makefile
==============================================================================
--- head/ftp/bftpd/Makefile	Wed Jul 31 19:00:08 2013	(r324066)
+++ head/ftp/bftpd/Makefile	Wed Jul 31 22:17:27 2013	(r324067)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	bftpd
-# Date created:				7 April 2001
-# Whom:					will
-#
+# Created by: will
 # $FreeBSD$
-#
 
 PORTNAME=	bftpd
-PORTVERSION=	3.8
+PORTVERSION=	4.0
 CATEGORIES=	ftp
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}
 
@@ -27,7 +23,7 @@ PORTDOCS=	en pl sk
 .include <bsd.port.pre.mk>
 
 .if ${OSVERSION} < 900000
-BROKEN=		does not compile on FreeBSD 7.x and 8.x
+BROKEN=		does not compile on and 8.x
 .endif
 
 post-patch:
@@ -40,7 +36,7 @@ do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/sbin/
 	${INSTALL_MAN} ${WRKSRC}/${PORTNAME}.8 ${MAN8PREFIX}/man/man8/
 	${INSTALL_DATA} ${WRKSRC}/bftpd.conf ${PREFIX}/etc/bftpd.conf.sample
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@cd ${WRKSRC}/doc && ${COPYTREE_SHARE} . ${DOCSDIR}
 .endif
 

Modified: head/ftp/bftpd/distinfo
==============================================================================
--- head/ftp/bftpd/distinfo	Wed Jul 31 19:00:08 2013	(r324066)
+++ head/ftp/bftpd/distinfo	Wed Jul 31 22:17:27 2013	(r324067)
@@ -1,2 +1,2 @@
-SHA256 (bftpd-3.8.tar.gz) = 4670488d81ffed2853fbcee9902162c8aff28d611829e0d58758579576313fc6
-SIZE (bftpd-3.8.tar.gz) = 169701
+SHA256 (bftpd-4.0.tar.gz) = e7bac8f277ed0ad2ce9ee0ef6df12908512a8442242ae32241dfe8d0ad836cda
+SIZE (bftpd-4.0.tar.gz) = 164173
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 William Grzybowski freebsd_committer 2013-07-31 23:18:07 UTC
Responsible Changed
From-To: sylvio->wg

I'll take it.
Comment 4 William Grzybowski freebsd_committer 2013-07-31 23:18:12 UTC
State Changed
From-To: open->closed

Committed. Thanks!